petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoComputeObjective

Computes the objective function value at a given point

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeObjective(Tao tao, Vec X, PetscReal *f)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| X | - input vector

### Output Parameter

f -Objective value at X

### Notes

TaoComputeObjective() is typically used within minimization implementations, so most users would not generally call this routine themselves.

### See Also

TaoComputeGradient(), TaoComputeObjectiveAndGradient(), TaoSetObjectiveRoutine()

### Level

advanced

### Location

src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages